package org.apache.xindice.client.corba.db;

//
// Interface definition : CollectionManager
//
// @author OpenORB Compiler
//
public interface CollectionManagerOperations extends org.apache.xindice.client.corba.db.ServantManagementOperations
{
	//
	// Operation getName
	//
	public String getName()
		throws org.apache.xindice.client.corba.db.APIException;

	//
	// Operation getCanonicalName
	//
	public String getCanonicalName()
		throws org.apache.xindice.client.corba.db.APIException;

	//
	// Operation createCollection
	//
	public org.apache.xindice.client.corba.db.Collection createCollection(String path, org.apache.xindice.client.corba.db.EncodedBuffer config)
		throws org.apache.xindice.client.corba.db.APIException;

	//
	// Operation dropCollection
	//
	public void dropCollection(String path)
		throws org.apache.xindice.client.corba.db.APIException;

	//
	// Operation listIndexers
	//
	public String[] listIndexers()
		throws org.apache.xindice.client.corba.db.APIException;

	//
	// Operation createIndexer
	//
	public void createIndexer(org.apache.xindice.client.corba.db.EncodedBuffer config)
		throws org.apache.xindice.client.corba.db.APIException;

	//
	// Operation dropIndexer
	//
	public void dropIndexer(String nam)
		throws org.apache.xindice.client.corba.db.APIException;

	//
	// Operation listXMLObjects
	//
	public String[] listXMLObjects()
		throws org.apache.xindice.client.corba.db.APIException;

	//
	// Operation createXMLObject
	//
	public void createXMLObject(org.apache.xindice.client.corba.db.EncodedBuffer config)
		throws org.apache.xindice.client.corba.db.APIException;

	//
	// Operation dropXMLObject
	//
	public void dropXMLObject(String nam)
		throws org.apache.xindice.client.corba.db.APIException;

}
