package org.apache.xindice.client.corba.db;

//
// Interface definition : DatabaseManager
//
// @author OpenORB Compiler
//
public abstract class DatabaseManagerPOA extends org.omg.PortableServer.Servant
		implements DatabaseManagerOperations, org.omg.CORBA.portable.InvokeHandler
{
	public DatabaseManager _this()
	{
		return DatabaseManagerHelper.narrow(_this_object());
	}

	public DatabaseManager _this( org.omg.CORBA.ORB orb )
	{
		return DatabaseManagerHelper.narrow(_this_object(orb));
	}

	private static String [] _ids_list =
	{
		"IDL:org/apache/xindice/client/corba/db/DatabaseManager:1.0", 
		"IDL:org/apache/xindice/client/corba/db/ServantManagement:1.0"
	};

	public String[] _all_interfaces( org.omg.PortableServer.POA poa, byte [] objectId)
	{
		return _ids_list;
	}

	public org.omg.CORBA.portable.OutputStream _invoke ( String opName,
	                                                     org.omg.CORBA.portable.InputStream _is,
	                                                     org.omg.CORBA.portable.ResponseHandler handler)
	{
		org.omg.CORBA.portable.OutputStream _output = null;

		if ( opName.equals("getName") )
		{

			try
			{
				String _arg_result = getName();

				_output = handler.createReply();
				_output.write_string(_arg_result);

			}
			catch ( org.apache.xindice.client.corba.db.APIException _exception )
			{
				_output = handler.createExceptionReply();
				org.apache.xindice.client.corba.db.APIExceptionHelper.write(_output,_exception);
			}
			return _output;
		}
		else
		if ( opName.equals("shutdown") )
		{

			shutdown();

			_output = handler.createReply();

			return _output;
		}
		else
		if ( opName.equals("remove") )
		{

			remove();

			_output = handler.createReply();

			return _output;
		}
		else
			throw new org.omg.CORBA.BAD_OPERATION();
	}
}
