package org.apache.xindice.client.corba.db;

//
// Helper class for : DocumentSet
//
// @author OpenORB Compiler
//
public class DocumentSetHelper
{
	//
	// Insert DocumentSet into an any
	// @param	a an any
	// @param	t DocumentSet value
	//
	public static void insert( org.omg.CORBA.Any a, org.apache.xindice.client.corba.db.DocumentSet t )
	{
		a.insert_Object( t , type() );
	}

	//
	// Extract DocumentSet from an any
	// @param	a an any
	// @return the extracted DocumentSet value
	//
	public static org.apache.xindice.client.corba.db.DocumentSet extract( org.omg.CORBA.Any a )
	{
		if ( !a.type().equal( type() ) )
			throw new org.omg.CORBA.MARSHAL();
		try {
			return org.apache.xindice.client.corba.db.DocumentSetHelper.narrow( a.extract_Object() );
		}
		catch ( org.omg.CORBA.BAD_PARAM ex ) {
			throw new org.omg.CORBA.MARSHAL();
		}
	}

	//
	// Internal TypeCode value
	//
	private static org.omg.CORBA.TypeCode _tc = null;

	//
	// Return the DocumentSet TypeCode
	// @return a TypeCode
	//
	public static org.omg.CORBA.TypeCode type()
	{
		if ( _tc == null ) {
			org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
			_tc = orb.create_interface_tc(id(),"DocumentSet");
		}
		return _tc;
	}

	//
	// Return the DocumentSet IDL ID
	// @return an ID
	//
	public static String id()
	{
		return _id;
	}

	private final static String _id = "IDL:org/apache/xindice/client/corba/db/DocumentSet:1.0";

	//
	// Read DocumentSet from a marshalled stream
	// @param	istream the input stream
	// @return the readed DocumentSet value
	//
	public static org.apache.xindice.client.corba.db.DocumentSet read( org.omg.CORBA.portable.InputStream istream )
	{
		return( org.apache.xindice.client.corba.db.DocumentSet )istream.read_Object( org.apache.xindice.client.corba.db._DocumentSetStub.class );
	}

	//
	// Write DocumentSet into a marshalled stream
	// @param	ostream the output stream
	// @param	value DocumentSet value
	//
	public static void write( org.omg.CORBA.portable.OutputStream ostream, org.apache.xindice.client.corba.db.DocumentSet value )
	{
		ostream.write_Object((org.omg.CORBA.portable.ObjectImpl)value);
	}

	//
	// Narrow CORBA::Object to DocumentSet
	// @param	obj the CORBA Object
	// @return DocumentSet Object
	//
	public static DocumentSet narrow( org.omg.CORBA.Object obj )
	{
		if ( obj == null )
			return null;
		if ( obj instanceof DocumentSet )
			return ( DocumentSet)obj;

		if ( obj._is_a( id() ) )
		{
			_DocumentSetStub stub = new _DocumentSetStub();
			stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate() );
			return stub;
		}

		throw new org.omg.CORBA.BAD_PARAM();
	}

	//
	// Unchecked Narrow CORBA::Object to DocumentSet
	// @param	obj the CORBA Object
	// @return DocumentSet Object
	//
	public static DocumentSet unchecked_narrow( org.omg.CORBA.Object obj )
	{
		if ( obj == null )
			return null;
		if ( obj instanceof DocumentSet )
			return ( DocumentSet)obj;

		_DocumentSetStub stub = new _DocumentSetStub();
		stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate() );
		return stub;

	}

}
