package org.apache.xindice.client.corba.db;

//
// Helper class for : FaultCodes
//
// @author OpenORB Compiler
//
public class FaultCodesHelper
{
	//
	// Insert FaultCodes into an any
	// @param	a an any
	// @param	t FaultCodes value
	//
	public static void insert( org.omg.CORBA.Any a, org.apache.xindice.client.corba.db.FaultCodes t )
	{
		a.insert_Object( t , type() );
	}

	//
	// Extract FaultCodes from an any
	// @param	a an any
	// @return the extracted FaultCodes value
	//
	public static org.apache.xindice.client.corba.db.FaultCodes extract( org.omg.CORBA.Any a )
	{
		if ( !a.type().equal( type() ) )
			throw new org.omg.CORBA.MARSHAL();
		try {
			return org.apache.xindice.client.corba.db.FaultCodesHelper.narrow( a.extract_Object() );
		}
		catch ( org.omg.CORBA.BAD_PARAM ex ) {
			throw new org.omg.CORBA.MARSHAL();
		}
	}

	//
	// Internal TypeCode value
	//
	private static org.omg.CORBA.TypeCode _tc = null;

	//
	// Return the FaultCodes TypeCode
	// @return a TypeCode
	//
	public static org.omg.CORBA.TypeCode type()
	{
		if ( _tc == null ) {
			org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
			_tc = orb.create_interface_tc(id(),"FaultCodes");
		}
		return _tc;
	}

	//
	// Return the FaultCodes IDL ID
	// @return an ID
	//
	public static String id()
	{
		return _id;
	}

	private final static String _id = "IDL:org/apache/xindice/client/corba/db/FaultCodes:1.0";

	//
	// Read FaultCodes from a marshalled stream
	// @param	istream the input stream
	// @return the readed FaultCodes value
	//
	public static org.apache.xindice.client.corba.db.FaultCodes read( org.omg.CORBA.portable.InputStream istream )
	{
		return( org.apache.xindice.client.corba.db.FaultCodes )istream.read_Object( org.apache.xindice.client.corba.db._FaultCodesStub.class );
	}

	//
	// Write FaultCodes into a marshalled stream
	// @param	ostream the output stream
	// @param	value FaultCodes value
	//
	public static void write( org.omg.CORBA.portable.OutputStream ostream, org.apache.xindice.client.corba.db.FaultCodes value )
	{
		ostream.write_Object((org.omg.CORBA.portable.ObjectImpl)value);
	}

	//
	// Narrow CORBA::Object to FaultCodes
	// @param	obj the CORBA Object
	// @return FaultCodes Object
	//
	public static FaultCodes narrow( org.omg.CORBA.Object obj )
	{
		if ( obj == null )
			return null;
		if ( obj instanceof FaultCodes )
			return ( FaultCodes)obj;

		if ( obj._is_a( id() ) )
		{
			_FaultCodesStub stub = new _FaultCodesStub();
			stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate() );
			return stub;
		}

		throw new org.omg.CORBA.BAD_PARAM();
	}

	//
	// Unchecked Narrow CORBA::Object to FaultCodes
	// @param	obj the CORBA Object
	// @return FaultCodes Object
	//
	public static FaultCodes unchecked_narrow( org.omg.CORBA.Object obj )
	{
		if ( obj == null )
			return null;
		if ( obj instanceof FaultCodes )
			return ( FaultCodes)obj;

		_FaultCodesStub stub = new _FaultCodesStub();
		stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate() );
		return stub;

	}

}
