package org.apache.xindice.client.corba.db;

//
// Interface definition : FaultCodes
//
// @author OpenORB Compiler
//
public class FaultCodesPOATie extends FaultCodesPOA
{

	//
	// Private reference to implementation object
	//
	private FaultCodesOperations _tie;

	//
	// Private reference to POA
	//
	private org.omg.PortableServer.POA _poa;

	//
	// Constructor
	//
	public FaultCodesPOATie( FaultCodesOperations tieObject )
	{
		_tie = tieObject;
	}

	//
	// Constructor
	//
	public FaultCodesPOATie( FaultCodesOperations tieObject, org.omg.PortableServer.POA poa )
	{
		_tie = tieObject;
		_poa = poa;
	}

	//
	// Get the delegate
	//
	public FaultCodesOperations _delegate()
	{
		return _tie;
	}

	//
	// Set the delegate
	//
	public void _delegate( FaultCodesOperations delegate_)
	{
		_tie = delegate_;
	}

	//
	//
	//
	public org.omg.PortableServer.POA _default_POA()
	{
		if ( _poa != null )
		    return _poa;
		else
		    return super._default_POA();
	}

}
