package org.apache.xindice.client.corba.db;

//
// Helper class for : NamedVal
//
// @author OpenORB Compiler
//
public class NamedValHelper
{
	private static final boolean HAS_OPENORB;
	static {
		boolean hasOpenORB = false;
		try {
			Class.forName("org.openorb.CORBA.Any");
			hasOpenORB = true;
		}
		catch(ClassNotFoundException ex) {
		}
		HAS_OPENORB = hasOpenORB;
	}
	//
	// Insert NamedVal into an any
	// @param	a an any
	// @param	t NamedVal value
	//
	public static void insert( org.omg.CORBA.Any a, org.apache.xindice.client.corba.db.NamedVal t )
	{
		a.insert_Streamable( new org.apache.xindice.client.corba.db.NamedValHolder( t ));
	}

	//
	// Extract NamedVal from an any
	// @param	a an any
	// @return the extracted NamedVal value
	//
	public static org.apache.xindice.client.corba.db.NamedVal extract( org.omg.CORBA.Any a )
	{
		if ( !a.type().equal( type() ) )
			throw new org.omg.CORBA.MARSHAL();
		if(HAS_OPENORB && a instanceof org.openorb.CORBA.Any) {
			// streamable extraction. The jdk stubs incorrectly define the Any stub
			org.openorb.CORBA.Any any = (org.openorb.CORBA.Any)a;
			try {
				org.omg.CORBA.portable.Streamable s = any.extract_Streamable();
				if(s instanceof org.apache.xindice.client.corba.db.NamedValHolder)
					return ((org.apache.xindice.client.corba.db.NamedValHolder)s).value;
			}
			catch ( org.omg.CORBA.BAD_INV_ORDER ex ) {}
			org.apache.xindice.client.corba.db.NamedValHolder h = new org.apache.xindice.client.corba.db.NamedValHolder(read(a.create_input_stream()));
			a.insert_Streamable(h);
			return h.value;
		}
		return read(a.create_input_stream());
	}

	//
	// Internal TypeCode value
	//
	private static org.omg.CORBA.TypeCode _tc = null;
	private static boolean _working = false;

	//
	// Return the NamedVal TypeCode
	// @return a TypeCode
	//
	public static org.omg.CORBA.TypeCode type()
	{
		if ( _tc == null ) {
			synchronized(org.omg.CORBA.TypeCode.class) {
				if ( _tc != null )
					return _tc;
				if ( _working )
					return org.omg.CORBA.ORB.init().create_recursive_tc( id() );
				_working = true;
				org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
				org.omg.CORBA.StructMember []_members = new org.omg.CORBA.StructMember[2];

				_members[0] = new org.omg.CORBA.StructMember();
				_members[0].name = "nam";
				_members[0].type = org.apache.xindice.client.corba.db.NameHelper.type();
				_members[1] = new org.omg.CORBA.StructMember();
				_members[1].name = "val";
				_members[1].type = org.apache.xindice.client.corba.db.ValueHelper.type();
				_tc = orb.create_struct_tc(id(),"NamedVal",_members);
				_working = false;
			}
		}
		return _tc;
	}

	//
	// Return the NamedVal IDL ID
	// @return an ID
	//
	public static String id()
	{
		return _id;
	}

	private final static String _id = "IDL:org/apache/xindice/client/corba/db/NamedVal:1.0";

	//
	// Read NamedVal from a marshalled stream
	// @param	istream the input stream
	// @return the readed NamedVal value
	//
	public static org.apache.xindice.client.corba.db.NamedVal read( org.omg.CORBA.portable.InputStream istream )
	{
		org.apache.xindice.client.corba.db.NamedVal new_one = new org.apache.xindice.client.corba.db.NamedVal();

		new_one.nam = org.apache.xindice.client.corba.db.NameHelper.read(istream);
		new_one.val = org.apache.xindice.client.corba.db.ValueHelper.read(istream);

		return new_one;
	}

	//
	// Write NamedVal into a marshalled stream
	// @param	ostream the output stream
	// @param	value NamedVal value
	//
	public static void write( org.omg.CORBA.portable.OutputStream ostream, org.apache.xindice.client.corba.db.NamedVal value )
	{
		org.apache.xindice.client.corba.db.NameHelper.write(ostream,value.nam);
		org.apache.xindice.client.corba.db.ValueHelper.write(ostream,value.val);
	}

}
