<%
/*
 * The Apache Software License, Version 1.1
 *
 *
 * Copyright (c) 1999 The Apache Software Foundation.  All rights
 * reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *       "This product includes software developed by the
 *        Apache Software Foundation (http://www.apache.org/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. The names "Xindice" and "Apache Software Foundation" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact apache@apache.org.
 *
 * 5. Products derived from this software may not be called "Apache",
 *    nor may "Apache" appear in their name, without prior written
 *    permission of the Apache Software Foundation.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation and was
 * originally based on software copyright (c) 1999-2001, The dbXML
 * Group, L.L.C., http://www.dbxmlgroup.com.  For more
 * information on the Apache Software Foundation, please see
 * <http://www.apache.org/>.
 *
 * $Id: header.jsp,v 1.2 2002/02/05 07:30:53 kstaken Exp $
 */
%>

<%@ page errorPage="/error.jsp" %>

<jsp:useBean id="group" class="Addressbook.Group"  scope="session" />
<jsp:useBean id="person" class="Addressbook.Person" scope="session" />

<html>
<head>
<title>Xindice AddressBook</title>
</head>
<body text="#000000" bgcolor="#ffffff" background="" link="#191970" vlink="#551A8A" alink="FE0000" topmargin="10" leftmargin="10" marginwidth="10" marginheight="10">



<table border="0" cellspacing="2" cellpadding="0" width="95%" align="center" bgcolor="#FFFFFF">

   <tr>
      <td colspan="2">
      <table border="0" cellpadding="0" cellspacing="0" bgcolor="#5555FF" width="100%">
         <tr><td>
         <table border="0" cellspacing="1" cellpadding="2" width="100%" bgcolor="#5555FF">
            <tr>
               <td bgcolor="#C8C8FF" ALIGN="right">
                  <font>
                     <A HREF="/Addressbook">Home</A> |
                     <A HREF="/Addressbook/servlet/Task?action=listcontacts">List Contacts</A> |
                     <A HREF="/Addressbook/servlet/Task?action=addform">Add a Contact</A> |
                     <A HREF="/Addressbook/servlet/Task?action=searchform">Search</A>
                  </font>
               </td>
            </tr>
         </table>
         </td></tr>
      </table>
      </td>
   </tr>

<tr>
   <td valign="top" width="160">
      <!-- box -->
      <table border="0" cellpadding="0" cellspacing="0" bgcolor="#5555FF" width="100%">
      <tr>
         <td>
            <table width="100%" border="0" cellspacing="1" cellpadding="2">
            <tr>
               <td width="200" bgcolor="#C8C8FF">Actions</td>
            </tr>
            <tr>
               <td colspan="1" bgcolor="#F0F0FF">
                  <table border="0" cellspacing="1" cellpadding="2" width="100%">
                  <tr>
                     <td>
                        <LI><A HREF="/Addressbook">Home</A>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <LI><A HREF="/Addressbook/servlet/Task?action=listcontacts">List Contacts</A>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <LI><A HREF="/Addressbook/servlet/Task?action=addform">Add a Contact</A>
                     </td>
                  <tr>
                  </tr>
                     <td>
                        <LI><A HREF="/Addressbook/servlet/Task?action=searchform">Search</A>
                     </td>
                  </tr>
                  </table>
               </td>
            </tr>
            </table>
         </td>
      </tr>
      </table>
      <!-- /box -->
   </td>

   
   <td width="80%" valign="top">

      <!-- main block -->
      <table border="0" cellpadding="0" cellspacing="0" align="center" bgcolor="#5555FF" width="100%">
      <tr>
         <td>
            <table width="100%" border="0" cellspacing="1" cellpadding="2">
            <tr>
               <td bgcolor="#F0F0FF" width="100%" height="400" valign="top">
               
               
               



