package org.apache.xindice.client.corba.db;

//
// Holder class for : Buffer
//
// @author OpenORB Compiler
//
final public class BufferHolder
		implements org.omg.CORBA.portable.Streamable
{
	//
	// Internal Buffer value
	//
	public byte[] value;

	//
	// Default constructor
	//
	public BufferHolder()
	{ }

	//
	// Constructor with value initialisation
	// @param	initial	the initial value
	//
	public BufferHolder( byte[] initial )
	{
		value = initial;
	}

	//
	// Read Buffer from a marshalled stream
	// @param	istream the input stream
	//
	public void _read( org.omg.CORBA.portable.InputStream istream )
	{
		value = BufferHelper.read(istream);
	}

	//
	// Write Buffer into a marshalled stream
	// @param	ostream the output stream
	//
	public void _write( org.omg.CORBA.portable.OutputStream ostream )
	{
		BufferHelper.write(ostream,value);
	}

	//
	// Return the Buffer TypeCode
	// @return a TypeCode
	//
	public org.omg.CORBA.TypeCode _type()
	{
		return BufferHelper.type();
	}

}
