package org.apache.xindice.client.corba.db;

//
// Helper class for : Collection
//
// @author OpenORB Compiler
//
public class CollectionHelper
{
	//
	// Insert Collection into an any
	// @param	a an any
	// @param	t Collection value
	//
	public static void insert( org.omg.CORBA.Any a, org.apache.xindice.client.corba.db.Collection t )
	{
		a.insert_Object( t , type() );
	}

	//
	// Extract Collection from an any
	// @param	a an any
	// @return the extracted Collection value
	//
	public static org.apache.xindice.client.corba.db.Collection extract( org.omg.CORBA.Any a )
	{
		if ( !a.type().equal( type() ) )
			throw new org.omg.CORBA.MARSHAL();
		try {
			return org.apache.xindice.client.corba.db.CollectionHelper.narrow( a.extract_Object() );
		}
		catch ( org.omg.CORBA.BAD_PARAM ex ) {
			throw new org.omg.CORBA.MARSHAL();
		}
	}

	//
	// Internal TypeCode value
	//
	private static org.omg.CORBA.TypeCode _tc = null;

	//
	// Return the Collection TypeCode
	// @return a TypeCode
	//
	public static org.omg.CORBA.TypeCode type()
	{
		if ( _tc == null ) {
			org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
			_tc = orb.create_interface_tc(id(),"Collection");
		}
		return _tc;
	}

	//
	// Return the Collection IDL ID
	// @return an ID
	//
	public static String id()
	{
		return _id;
	}

	private final static String _id = "IDL:org/apache/xindice/client/corba/db/Collection:1.0";

	//
	// Read Collection from a marshalled stream
	// @param	istream the input stream
	// @return the readed Collection value
	//
	public static org.apache.xindice.client.corba.db.Collection read( org.omg.CORBA.portable.InputStream istream )
	{
		return( org.apache.xindice.client.corba.db.Collection )istream.read_Object( org.apache.xindice.client.corba.db._CollectionStub.class );
	}

	//
	// Write Collection into a marshalled stream
	// @param	ostream the output stream
	// @param	value Collection value
	//
	public static void write( org.omg.CORBA.portable.OutputStream ostream, org.apache.xindice.client.corba.db.Collection value )
	{
		ostream.write_Object((org.omg.CORBA.portable.ObjectImpl)value);
	}

	//
	// Narrow CORBA::Object to Collection
	// @param	obj the CORBA Object
	// @return Collection Object
	//
	public static Collection narrow( org.omg.CORBA.Object obj )
	{
		if ( obj == null )
			return null;
		if ( obj instanceof Collection )
			return ( Collection)obj;

		if ( obj._is_a( id() ) )
		{
			_CollectionStub stub = new _CollectionStub();
			stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate() );
			return stub;
		}

		throw new org.omg.CORBA.BAD_PARAM();
	}

	//
	// Unchecked Narrow CORBA::Object to Collection
	// @param	obj the CORBA Object
	// @return Collection Object
	//
	public static Collection unchecked_narrow( org.omg.CORBA.Object obj )
	{
		if ( obj == null )
			return null;
		if ( obj instanceof Collection )
			return ( Collection)obj;

		_CollectionStub stub = new _CollectionStub();
		stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate() );
		return stub;

	}

}
