package org.apache.xindice.client.corba.db;

//
// Helper class for : DatabaseManager
//
// @author OpenORB Compiler
//
public class DatabaseManagerHelper
{
	//
	// Insert DatabaseManager into an any
	// @param	a an any
	// @param	t DatabaseManager value
	//
	public static void insert( org.omg.CORBA.Any a, org.apache.xindice.client.corba.db.DatabaseManager t )
	{
		a.insert_Object( t , type() );
	}

	//
	// Extract DatabaseManager from an any
	// @param	a an any
	// @return the extracted DatabaseManager value
	//
	public static org.apache.xindice.client.corba.db.DatabaseManager extract( org.omg.CORBA.Any a )
	{
		if ( !a.type().equal( type() ) )
			throw new org.omg.CORBA.MARSHAL();
		try {
			return org.apache.xindice.client.corba.db.DatabaseManagerHelper.narrow( a.extract_Object() );
		}
		catch ( org.omg.CORBA.BAD_PARAM ex ) {
			throw new org.omg.CORBA.MARSHAL();
		}
	}

	//
	// Internal TypeCode value
	//
	private static org.omg.CORBA.TypeCode _tc = null;

	//
	// Return the DatabaseManager TypeCode
	// @return a TypeCode
	//
	public static org.omg.CORBA.TypeCode type()
	{
		if ( _tc == null ) {
			org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
			_tc = orb.create_interface_tc(id(),"DatabaseManager");
		}
		return _tc;
	}

	//
	// Return the DatabaseManager IDL ID
	// @return an ID
	//
	public static String id()
	{
		return _id;
	}

	private final static String _id = "IDL:org/apache/xindice/client/corba/db/DatabaseManager:1.0";

	//
	// Read DatabaseManager from a marshalled stream
	// @param	istream the input stream
	// @return the readed DatabaseManager value
	//
	public static org.apache.xindice.client.corba.db.DatabaseManager read( org.omg.CORBA.portable.InputStream istream )
	{
		return( org.apache.xindice.client.corba.db.DatabaseManager )istream.read_Object( org.apache.xindice.client.corba.db._DatabaseManagerStub.class );
	}

	//
	// Write DatabaseManager into a marshalled stream
	// @param	ostream the output stream
	// @param	value DatabaseManager value
	//
	public static void write( org.omg.CORBA.portable.OutputStream ostream, org.apache.xindice.client.corba.db.DatabaseManager value )
	{
		ostream.write_Object((org.omg.CORBA.portable.ObjectImpl)value);
	}

	//
	// Narrow CORBA::Object to DatabaseManager
	// @param	obj the CORBA Object
	// @return DatabaseManager Object
	//
	public static DatabaseManager narrow( org.omg.CORBA.Object obj )
	{
		if ( obj == null )
			return null;
		if ( obj instanceof DatabaseManager )
			return ( DatabaseManager)obj;

		if ( obj._is_a( id() ) )
		{
			_DatabaseManagerStub stub = new _DatabaseManagerStub();
			stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate() );
			return stub;
		}

		throw new org.omg.CORBA.BAD_PARAM();
	}

	//
	// Unchecked Narrow CORBA::Object to DatabaseManager
	// @param	obj the CORBA Object
	// @return DatabaseManager Object
	//
	public static DatabaseManager unchecked_narrow( org.omg.CORBA.Object obj )
	{
		if ( obj == null )
			return null;
		if ( obj instanceof DatabaseManager )
			return ( DatabaseManager)obj;

		_DatabaseManagerStub stub = new _DatabaseManagerStub();
		stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate() );
		return stub;

	}

}
