package org.apache.xindice.client.corba.db;

//
// Interface definition : CollectionManager
//
// @author OpenORB Compiler
//
public class _CollectionManagerStub extends org.omg.CORBA.portable.ObjectImpl
		implements CollectionManager
{
	static final String[] _ids_list =
	{
		"IDL:org/apache/xindice/client/corba/db/CollectionManager:1.0", 
		"IDL:org/apache/xindice/client/corba/db/ServantManagement:1.0"
	};

	public String[] _ids()
	{
		return _ids_list;
	}

	private final static Class _opsClass = org.apache.xindice.client.corba.db.CollectionManagerOperations.class;

	//
	// Operation getName
	//
	public String getName()
		throws org.apache.xindice.client.corba.db.APIException
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("getName",true);
					_input = this._invoke(_output);
					String _arg_ret = _input.read_string();
					return _arg_ret;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					String _exception_id = _exception.getId();
					if ( _exception_id.equals(org.apache.xindice.client.corba.db.APIExceptionHelper.id()) )
					{
						throw org.apache.xindice.client.corba.db.APIExceptionHelper.read(_exception.getInputStream());
					}

					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getName",_opsClass);
				if ( _so == null )
				   continue;
				org.apache.xindice.client.corba.db.CollectionManagerOperations _self = ( org.apache.xindice.client.corba.db.CollectionManagerOperations ) _so.servant;
				try
				{
					return _self.getName();
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

	//
	// Operation getCanonicalName
	//
	public String getCanonicalName()
		throws org.apache.xindice.client.corba.db.APIException
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("getCanonicalName",true);
					_input = this._invoke(_output);
					String _arg_ret = _input.read_string();
					return _arg_ret;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					String _exception_id = _exception.getId();
					if ( _exception_id.equals(org.apache.xindice.client.corba.db.APIExceptionHelper.id()) )
					{
						throw org.apache.xindice.client.corba.db.APIExceptionHelper.read(_exception.getInputStream());
					}

					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("getCanonicalName",_opsClass);
				if ( _so == null )
				   continue;
				org.apache.xindice.client.corba.db.CollectionManagerOperations _self = ( org.apache.xindice.client.corba.db.CollectionManagerOperations ) _so.servant;
				try
				{
					return _self.getCanonicalName();
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

	//
	// Operation createCollection
	//
	public org.apache.xindice.client.corba.db.Collection createCollection(String path, org.apache.xindice.client.corba.db.EncodedBuffer config)
		throws org.apache.xindice.client.corba.db.APIException
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("createCollection",true);
					org.apache.xindice.client.corba.db.NameHelper.write(_output,path);
					org.apache.xindice.client.corba.db.EncodedBufferHelper.write(_output,config);
					_input = this._invoke(_output);
					org.apache.xindice.client.corba.db.Collection _arg_ret = org.apache.xindice.client.corba.db.CollectionHelper.read(_input);
					return _arg_ret;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					String _exception_id = _exception.getId();
					if ( _exception_id.equals(org.apache.xindice.client.corba.db.APIExceptionHelper.id()) )
					{
						throw org.apache.xindice.client.corba.db.APIExceptionHelper.read(_exception.getInputStream());
					}

					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("createCollection",_opsClass);
				if ( _so == null )
				   continue;
				org.apache.xindice.client.corba.db.CollectionManagerOperations _self = ( org.apache.xindice.client.corba.db.CollectionManagerOperations ) _so.servant;
				try
				{
					return _self.createCollection( path,  config);
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

	//
	// Operation dropCollection
	//
	public void dropCollection(String path)
		throws org.apache.xindice.client.corba.db.APIException
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("dropCollection",true);
					org.apache.xindice.client.corba.db.NameHelper.write(_output,path);
					_input = this._invoke(_output);
					return;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					String _exception_id = _exception.getId();
					if ( _exception_id.equals(org.apache.xindice.client.corba.db.APIExceptionHelper.id()) )
					{
						throw org.apache.xindice.client.corba.db.APIExceptionHelper.read(_exception.getInputStream());
					}

					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("dropCollection",_opsClass);
				if ( _so == null )
				   continue;
				org.apache.xindice.client.corba.db.CollectionManagerOperations _self = ( org.apache.xindice.client.corba.db.CollectionManagerOperations ) _so.servant;
				try
				{
					_self.dropCollection( path);
					return;
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

	//
	// Operation listIndexers
	//
	public String[] listIndexers()
		throws org.apache.xindice.client.corba.db.APIException
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("listIndexers",true);
					_input = this._invoke(_output);
					String[] _arg_ret = org.apache.xindice.client.corba.db.NamesHelper.read(_input);
					return _arg_ret;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					String _exception_id = _exception.getId();
					if ( _exception_id.equals(org.apache.xindice.client.corba.db.APIExceptionHelper.id()) )
					{
						throw org.apache.xindice.client.corba.db.APIExceptionHelper.read(_exception.getInputStream());
					}

					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("listIndexers",_opsClass);
				if ( _so == null )
				   continue;
				org.apache.xindice.client.corba.db.CollectionManagerOperations _self = ( org.apache.xindice.client.corba.db.CollectionManagerOperations ) _so.servant;
				try
				{
					return _self.listIndexers();
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

	//
	// Operation createIndexer
	//
	public void createIndexer(org.apache.xindice.client.corba.db.EncodedBuffer config)
		throws org.apache.xindice.client.corba.db.APIException
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("createIndexer",true);
					org.apache.xindice.client.corba.db.EncodedBufferHelper.write(_output,config);
					_input = this._invoke(_output);
					return;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					String _exception_id = _exception.getId();
					if ( _exception_id.equals(org.apache.xindice.client.corba.db.APIExceptionHelper.id()) )
					{
						throw org.apache.xindice.client.corba.db.APIExceptionHelper.read(_exception.getInputStream());
					}

					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("createIndexer",_opsClass);
				if ( _so == null )
				   continue;
				org.apache.xindice.client.corba.db.CollectionManagerOperations _self = ( org.apache.xindice.client.corba.db.CollectionManagerOperations ) _so.servant;
				try
				{
					_self.createIndexer( config);
					return;
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

	//
	// Operation dropIndexer
	//
	public void dropIndexer(String nam)
		throws org.apache.xindice.client.corba.db.APIException
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("dropIndexer",true);
					org.apache.xindice.client.corba.db.NameHelper.write(_output,nam);
					_input = this._invoke(_output);
					return;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					String _exception_id = _exception.getId();
					if ( _exception_id.equals(org.apache.xindice.client.corba.db.APIExceptionHelper.id()) )
					{
						throw org.apache.xindice.client.corba.db.APIExceptionHelper.read(_exception.getInputStream());
					}

					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("dropIndexer",_opsClass);
				if ( _so == null )
				   continue;
				org.apache.xindice.client.corba.db.CollectionManagerOperations _self = ( org.apache.xindice.client.corba.db.CollectionManagerOperations ) _so.servant;
				try
				{
					_self.dropIndexer( nam);
					return;
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

	//
	// Operation listXMLObjects
	//
	public String[] listXMLObjects()
		throws org.apache.xindice.client.corba.db.APIException
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("listXMLObjects",true);
					_input = this._invoke(_output);
					String[] _arg_ret = org.apache.xindice.client.corba.db.NamesHelper.read(_input);
					return _arg_ret;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					String _exception_id = _exception.getId();
					if ( _exception_id.equals(org.apache.xindice.client.corba.db.APIExceptionHelper.id()) )
					{
						throw org.apache.xindice.client.corba.db.APIExceptionHelper.read(_exception.getInputStream());
					}

					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("listXMLObjects",_opsClass);
				if ( _so == null )
				   continue;
				org.apache.xindice.client.corba.db.CollectionManagerOperations _self = ( org.apache.xindice.client.corba.db.CollectionManagerOperations ) _so.servant;
				try
				{
					return _self.listXMLObjects();
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

	//
	// Operation createXMLObject
	//
	public void createXMLObject(org.apache.xindice.client.corba.db.EncodedBuffer config)
		throws org.apache.xindice.client.corba.db.APIException
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("createXMLObject",true);
					org.apache.xindice.client.corba.db.EncodedBufferHelper.write(_output,config);
					_input = this._invoke(_output);
					return;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					String _exception_id = _exception.getId();
					if ( _exception_id.equals(org.apache.xindice.client.corba.db.APIExceptionHelper.id()) )
					{
						throw org.apache.xindice.client.corba.db.APIExceptionHelper.read(_exception.getInputStream());
					}

					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("createXMLObject",_opsClass);
				if ( _so == null )
				   continue;
				org.apache.xindice.client.corba.db.CollectionManagerOperations _self = ( org.apache.xindice.client.corba.db.CollectionManagerOperations ) _so.servant;
				try
				{
					_self.createXMLObject( config);
					return;
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

	//
	// Operation dropXMLObject
	//
	public void dropXMLObject(String nam)
		throws org.apache.xindice.client.corba.db.APIException
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("dropXMLObject",true);
					org.apache.xindice.client.corba.db.NameHelper.write(_output,nam);
					_input = this._invoke(_output);
					return;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					String _exception_id = _exception.getId();
					if ( _exception_id.equals(org.apache.xindice.client.corba.db.APIExceptionHelper.id()) )
					{
						throw org.apache.xindice.client.corba.db.APIExceptionHelper.read(_exception.getInputStream());
					}

					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("dropXMLObject",_opsClass);
				if ( _so == null )
				   continue;
				org.apache.xindice.client.corba.db.CollectionManagerOperations _self = ( org.apache.xindice.client.corba.db.CollectionManagerOperations ) _so.servant;
				try
				{
					_self.dropXMLObject( nam);
					return;
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

	//
	// Operation remove
	//
	public void remove()
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("remove",true);
					_input = this._invoke(_output);
					return;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					String _exception_id = _exception.getId();
					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("remove",_opsClass);
				if ( _so == null )
				   continue;
				org.apache.xindice.client.corba.db.ServantManagementOperations _self = ( org.apache.xindice.client.corba.db.ServantManagementOperations ) _so.servant;
				try
				{
					_self.remove();
					return;
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

}
